#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,200,240,280,320,360,400,440,520,560,600,1200,2440
 * N : 25,120,200,240,280,320,360,400,440,520,560,600,1200,2440
 * NB : 10,8,8,12,16,52,40,48,52,8,44,56,40,40
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 10; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 12; \
   else if ((n_) < 300) (nb_) = 16; \
   else if ((n_) < 340) (nb_) = 52; \
   else if ((n_) < 380) (nb_) = 40; \
   else if ((n_) < 420) (nb_) = 48; \
   else if ((n_) < 480) (nb_) = 52; \
   else if ((n_) < 540) (nb_) = 8; \
   else if ((n_) < 580) (nb_) = 44; \
   else if ((n_) < 900) (nb_) = 56; \
   else (nb_) = 40; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
