#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,120,160,240,280,360,720,880,920,960,1080,1480
 * N : 25,80,120,160,240,280,360,720,880,920,960,1080,1480
 * NB : 12,12,12,20,12,40,24,16,12,40,40,40,40
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 140) (nb_) = 12; \
   else if ((n_) < 200) (nb_) = 20; \
   else if ((n_) < 260) (nb_) = 12; \
   else if ((n_) < 320) (nb_) = 40; \
   else if ((n_) < 540) (nb_) = 24; \
   else if ((n_) < 800) (nb_) = 16; \
   else if ((n_) < 900) (nb_) = 12; \
   else (nb_) = 40; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
